### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.session

# Class SessionServiceFactory

java.lang.Object
com.sas.services.AbstractServiceFactory
com.sas.services.session.SessionServiceFactory

All Implemented Interfaces:
  `ServiceFactoryInterface`

@SASScope("ALL") @BinaryCompatibilityOnly public class SessionServiceFactory extends AbstractServiceFactory
Factory used to manufacture a session service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `SessionServiceInterface`

The service created by this factory depends upon another service to provide the following capability:

- `UserServiceInterface`

Since:
  1.0
See Also:
  - `ServiceFactoryInterface`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionServiceFactory()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final SessionServiceInterface`
  `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Gets a Session service initialized with the specified configuration.
  `final RemoteServiceInterface`
  `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)`
  Gets a Session service initialized with the specified configuration.

  ### Methods inherited from class com.sas.services.AbstractServiceFactory

  `getService, getServiceProfile, isSingletonFactory`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SessionServiceFactory

    public SessionServiceFactory()
    Constructs a default instance.

- ## Method Details

  - ### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Gets a Session service initialized with the specified configuration.
    Specified by:
      `getService` in interface `ServiceFactoryInterface`
    Specified by:
      `getService` in class `AbstractServiceFactory`
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - Discovery service to which the service will be registered.
    Returns:
      A service that implements `SessionServiceInterface`.
    Throws:
      `ServiceException` - if unable to create a Session service.
    See Also:
      - `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

  - ### createService

    public static final SessionServiceInterface createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService) throws ServiceException
    Gets a Session service initialized with the specified configuration.
    Parameters:
      `serviceConfiguration` - Service configuration
      `discoveryService` - Discovery service to which the service will be registered.
    Returns:
      A service that implements `SessionServiceInterface`.
    Throws:
      `ServiceException` - if unable to create a Session service.